# TdApi.PinChatMessage (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: PinChatMessage

Package it.tdlight.jni

# Class TdApi.PinChatMessage

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function
it.tdlight.jni.TdApi.PinChatMessage

Enclosing class:
  TdApi

    public static class TdApi.PinChatMessage
    extends TdApi.Function

Pins a message in a chat; requires canPinMessages rights or canEditMessages rights in the channel.

Returns `Ok`

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`long` | `chatId` | Identifier of the chat.
`static int` | `CONSTRUCTOR` |
`boolean` | `disableNotification` | True, if there must be no notification about the pinned message.
`long` | `messageId` | Identifier of the new pinned message.
`boolean` | `onlyForSelf` | True, if the message needs to be pinned for one side only; private chats only.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`PinChatMessage()` | Pins a message in a chat; requires canPinMessages rights or canEditMessages rights in the channel.
`PinChatMessage​(long chatId, long messageId, boolean disableNotification, boolean onlyForSelf)` | Pins a message in a chat; requires canPinMessages rights or canEditMessages rights in the channel.
`PinChatMessage​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
Identifier of the chat.

### messageId

public long messageId
Identifier of the new pinned message.

### disableNotification

public boolean disableNotification
True, if there must be no notification about the pinned message. Notifications are always disabled in channels and private chats.

### onlyForSelf

public boolean onlyForSelf
True, if the message needs to be pinned for one side only; private chats only.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### PinChatMessage

public PinChatMessage()
Pins a message in a chat; requires canPinMessages rights or canEditMessages rights in the channel.

Returns `Ok`

### PinChatMessage

public PinChatMessage​(long chatId, long messageId, boolean disableNotification, boolean onlyForSelf)
Pins a message in a chat; requires canPinMessages rights or canEditMessages rights in the channel.

Returns `Ok`

Parameters:
  `chatId` - long Identifier of the chat.
  `messageId` - long Identifier of the new pinned message.
  `disableNotification` - boolean True, if there must be no notification about the pinned message. Notifications are always disabled in channels and private chats.
  `onlyForSelf` - boolean True, if the message needs to be pinned for one side only; private chats only.

### PinChatMessage

public PinChatMessage​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`